OpenNMS API 1.2.9

## org.opennms.netmgt.filter
Class FilterParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.opennms.netmgt.filter.FilterParseException

All Implemented Interfaces:
  java.io.Serializable

public class FilterParseException
extends java.lang.RuntimeException

This class is used to indicate a failure of the Filter engine to correctly parse a filter expression. If the error was caused by an undeclared exception during processing, that exception is also encapsulated by the exception.

Author:
  Jason , Weave
See Also:
  Serialized Form

Field Summary
`private java.lang.Throwable` `m_delegate` The encapsulated throwable if any

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`FilterParseException()` Constructs a new, empty filter parser exception.
`FilterParseException(java.lang.String msg)` Constructs a new parse exception with the passed message as its error text.
`FilterParseException(java.lang.String msg, java.lang.Throwable t)` Constructs a new parse exception with the passed message as the error text and the throwable as the encapsulated error causing the failure.

Method Summary
`void` `printStackTrace()` Prints the stack trace of the exception, and the encapsulated exception if any.
`void` `printStackTrace(java.io.PrintStream ps)` Prints the stack trace of the exception, and the encapsulated exception if any.
`void` `printStackTrace(java.io.PrintWriter pw)` Prints the stack trace of the exception, and the encapsulated exception if any.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_delegate

    private java.lang.Throwable m_delegate

  The encapsulated throwable if any

Constructor Detail

### FilterParseException

    public FilterParseException()

  Constructs a new, empty filter parser exception.

### FilterParseException

    public FilterParseException(java.lang.String msg)

  Constructs a new parse exception with the passed message as its error text.

Parameters:
  `msg` - The exception text.

### FilterParseException

    public FilterParseException(java.lang.String msg,
                                java.lang.Throwable t)

  Constructs a new parse exception with the passed message as the error text and the throwable as the encapsulated error causing the failure.

Parameters:
  `msg` - The exception text.
  `t` - The cause of the failure.

Method Detail

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of the exception, and the encapsulated exception if any.

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints the stack trace of the exception, and the encapsulated exception if any.

  Parameters:
    `ps` - The location to write the exception.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints the stack trace of the exception, and the encapsulated exception if any.

  Parameters:
    `pw` - The location to write the exception.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.